#
# spec file for package vms-empire
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vms-empire
Version:        1.16
Release:        1.8
Summary:        Simulation of a full-scale war between two emperors
License:        GPL-2.0-only
Group:          Amusements/Games/Strategy/Turn Based
URL:            http://www.catb.org/~esr/vms-empire/
Source0:        http://www.catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  hicolor-icon-theme
BuildRequires:  ncurses-devel
BuildRequires:  update-desktop-files

%description
The ancestor of all 4x (expand/explore/exploit/exterminate) games.
VMS-Empire is a simulation of a full-scale war between two emperors,
the computer and you. Naturally, there is only room for one, so the
object of the game is to destroy the other. The computer plays by the
same rules that you do. This game is the ancestor of all the multiplayer
4X simulations out there, including Civilization and Master of Orion.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install

%suse_update_desktop_file %{name}

%files
%license COPYING
%doc AUTHORS BUGS HACKING NEWS README
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.xml
%{_mandir}/man6/%{name}.6%{?ext_man}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Fri May  7 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.16
  * Minor bugfixes
- Drop upstream merged 0001-Pull-all-globals-into-a-context-struct.patch
* Sat Sep 12 2020 Christophe Giboudeaux <christophe@krop.fr>
- Add patch to fix build with GCC10:
  * 0001-Pull-all-globals-into-a-context-struct.patch
* Mon Mar 30 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 1.15
  * Fix for infinite-fighter-tange bug
  * New 'J' command to show city production in editing mode.
  * Rehosted on GitLab.
* Mon Jan 18 2016 nemysis@openSUSE.org
- Update to 1.14, please see
  /usr/share/doc/packages/vms-empire/NEWS
* Tue Dec  1 2015 nemysis@openSUSE.org
- Change URL
* Mon Dec 15 2014 nemysis@gmx.ch
- Add BuildRequires for hicolor-icon-theme
* Sun Dec 14 2014 nemysis@gmx.ch
- Initial package creation
